> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/java/java-sdks/models/groupproperties.md).

# GroupProperties

## Properties

| Name                            | Type        | Description                                                                                                                                                           | Notes       |
| ------------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **accessActivityLog**           | **Boolean** | Activity log access privilege.                                                                                                                                        | \[optional] |
| **accessAndManageCertificates** | **Boolean** | Privilege for a group to access and manage certificates.                                                                                                              | \[optional] |
| **accessAndManageDns**          | **Boolean** | Privilege for a group to access and manage dns records.                                                                                                               | \[optional] |
| **accessAndManageMonitoring**   | **Boolean** | Privilege for a group to access and manage monitoring related functionality (access metrics, CRUD on alarms, alarm-actions etc) using Monotoring-as-a-Service (MaaS). | \[optional] |
| **createBackupUnit**            | **Boolean** | Create backup unit privilege.                                                                                                                                         | \[optional] |
| **createDataCenter**            | **Boolean** | Create data center privilege.                                                                                                                                         | \[optional] |
| **createFlowLog**               | **Boolean** | Create Flow Logs privilege.                                                                                                                                           | \[optional] |
| **createInternetAccess**        | **Boolean** | Create internet access privilege.                                                                                                                                     | \[optional] |
| **createK8sCluster**            | **Boolean** | Create Kubernetes cluster privilege.                                                                                                                                  | \[optional] |
| **createPcc**                   | **Boolean** | Create pcc privilege.                                                                                                                                                 | \[optional] |
| **createSnapshot**              | **Boolean** | Create snapshot privilege.                                                                                                                                            | \[optional] |
| **manageDBaaS**                 | **Boolean** | Privilege for a group to manage DBaaS related functionality.                                                                                                          | \[optional] |
| **manageDataplatform**          | **Boolean** | Privilege for a group to access and manage the Data Platform.                                                                                                         | \[optional] |
| **manageRegistry**              | **Boolean** | Privilege for group accessing container registry related functionality.                                                                                               | \[optional] |
| **name**                        | **String**  | The name of the resource.                                                                                                                                             | \[optional] |
| **reserveIp**                   | **Boolean** | Reserve IP block privilege.                                                                                                                                           | \[optional] |
| **s3Privilege**                 | **Boolean** | S3 privilege.                                                                                                                                                         | \[optional] |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/java/java-sdks/models/groupproperties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
